#pragma once

#include "godot_cpp/classes/wrapped.hpp"
#include "godot_cpp/variant/packed_int32_array.hpp"
#include <godot_cpp/classes/object.hpp>
#include <godot_cpp/classes/polygon2d.hpp>

using namespace godot;

class Triangulization : public Object {
  GDCLASS(Triangulization, Object);

protected:
  static void _bind_methods();

public:
  Triangulization();

  PackedInt32Array
  triangulate_with_holes(const PackedVector2Array &outer,
                         const TypedArray<PackedVector2Array> &inner);
};
